Open CASCADE Technology: BRepTopAdaptor_FClass2d Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BRepTopAdaptor_FClass2d Class Reference

`#include <BRepTopAdaptor_FClass2d.hxx>`

## Public Member Functions
| BRepTopAdaptor_FClass2d (const TopoDS_Face &F, const Standard_Real Tol)
TopAbs_State | PerformInfinitePoint () const
TopAbs_State | Perform (const gp_Pnt2d &Puv, const Standard_Boolean RecadreOnPeriodic=Standard_True) const
void | Destroy ()
| ~BRepTopAdaptor_FClass2d ()
const BRepTopAdaptor_FClass2d & | Copy (const BRepTopAdaptor_FClass2d &Other) const
const BRepTopAdaptor_FClass2d & | operator= (const BRepTopAdaptor_FClass2d &Other) const
TopAbs_State | TestOnRestriction (const gp_Pnt2d &Puv, const Standard_Real Tol, const Standard_Boolean RecadreOnPeriodic=Standard_True) const
| Test a point with +- an offset (Tol) and returns On if some points are OUT an some are IN (Caution: Internal use . see the code for more details) More...

## Constructor & Destructor Documentation

BRepTopAdaptor_FClass2d::BRepTopAdaptor_FClass2d | ( | const TopoDS_Face & | F,
|  | const Standard_Real | Tol
| ) |  |

BRepTopAdaptor_FClass2d::~BRepTopAdaptor_FClass2d | ( |  | ) |
| inline

## Member Function Documentation

const BRepTopAdaptor_FClass2d& BRepTopAdaptor_FClass2d::Copy | ( | const BRepTopAdaptor_FClass2d & | Other | ) | const

void BRepTopAdaptor_FClass2d::Destroy | ( |  | ) |

const BRepTopAdaptor_FClass2d& BRepTopAdaptor_FClass2d::operator= | ( | const BRepTopAdaptor_FClass2d & | Other | ) | const
| inline

TopAbs_State BRepTopAdaptor_FClass2d::Perform | ( | const gp_Pnt2d & | Puv,
|  | const Standard_Boolean | RecadreOnPeriodic = `Standard_True`
| ) |  | const

TopAbs_State BRepTopAdaptor_FClass2d::PerformInfinitePoint | ( |  | ) | const

TopAbs_State BRepTopAdaptor_FClass2d::TestOnRestriction | ( | const gp_Pnt2d & | Puv,
|  | const Standard_Real | Tol,
|  | const Standard_Boolean | RecadreOnPeriodic = `Standard_True`
| ) |  | const

Test a point with +- an offset (Tol) and returns On if some points are OUT an some are IN (Caution: Internal use . see the code for more details)

The documentation for this class was generated from the following file:

- BRepTopAdaptor_FClass2d.hxx